package no.valg.valgnatt.database.forberedvalg.bean;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class BeanStemmekrets extends Bean {

    private Integer bydelnr;
    private String kretsnavn;
    private int stemmeberettigede;
    private int opptaltstatusmax;

    @Override
    public String getKey() {
        return makeKey(getValgaar(), getValgtype(), getKommnr(), getKretsnr());
    }

    public static String makeKey(int valgaar, String valgtype, String kommnr, String kretsnr) {
        return valgaar + valgtype + kommnr + kretsnr;
    }
    
}
